using System;

internal sealed class Delegate472 : MulticastDelegate
{
	public extern string Invoke(Type type_0, object object_0);

	public static string smethod_0(Type type_0, object object_0, Delegate472 delegate472_1)
	{
		return delegate472_1(type_0, object_0);
	}

	public extern Delegate472(object object_0, IntPtr intptr_0);

	static Delegate472()
	{
		Class10.smethod_13(typeof(Delegate472).TypeHandle);
	}

	internal static Delegate472 delegate472_0;
}
